'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const index$2 = require('./index-7a96dd15.js');
const defaultUiConfig = require('./default-ui-config-8a058612.js');
const store = require('./store-d570e98c.js');
const versionTwoApis = require('./versionTwoApis-9c9006ae.js');
require('./default-language-4c779255.js');

const dyteSidebarCss = ":host{position:relative;box-sizing:border-box;display:flex;width:100%;max-width:var(--dyte-space-80, 320px);flex-direction:column;--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-1000, 8 8 8) / var(--tw-bg-opacity));font-family:var(--dyte-font-family, sans-serif);color:rgb(var(--dyte-colors-text-1000, 255 255 255));overflow:hidden}.close{position:absolute;top:var(--dyte-space-3, 12px);left:var(--dyte-space-3, 12px)}.title{margin:var(--dyte-space-0, 0px);margin-top:var(--dyte-space-3, 12px);margin-bottom:var(--dyte-space-3, 12px);-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;text-align:center;font-size:16px;font-weight:400}#mobile-header{margin-top:var(--dyte-space-2, 8px);display:flex;align-items:center;justify-content:space-evenly;border-bottom:var(--dyte-border-width-sm, 1px) solid rgb(var(--dyte-colors-background-600, 60 60 60))}#mobile-header dyte-button{border-bottom:var(--dyte-border-width-md, 2px) solid transparent;border-radius:var(--dyte-border-radius-none, 0)}#mobile-header dyte-button:hover{background-color:transparent}#mobile-header dyte-button.active{border-color:rgb(var(--dyte-colors-brand-400, 53 110 253))}dyte-chat,dyte-participants,dyte-plugins{flex:1}:host([view='sidebar']){margin-left:var(--dyte-space-2, 8px);margin-right:var(--dyte-space-2, 8px);border-radius:var(--dyte-border-radius-lg, 12px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-900, 26 26 26) / var(--tw-bg-opacity))}:host([view='full-screen']){position:absolute;top:var(--dyte-space-0, 0px);right:var(--dyte-space-0, 0px);bottom:var(--dyte-space-0, 0px);left:var(--dyte-space-0, 0px);z-index:50;max-width:100%;border:none}";

const DyteSidebar = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Enabled sections in sidebar */
    this.enabledSections = [
      'chat',
      'polls',
      'participants',
      'plugins',
    ];
    /** Default section */
    this.defaultSection = 'chat';
    /** Config */
    this.config = defaultUiConfig.defaultConfig;
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    /** View type */
    this.view = 'default';
    this.tab = this.defaultSection;
    this.close = () => {
      this.stateUpdate.emit({ activeSidebar: false, sidebar: this.defaultSection });
      store.state.sidebar = this.tab;
    };
  }
  connectedCallback() {
    this.viewChanged(this.view);
    this.statesChanged(this.states);
    store.onChange('sidebar', () => this.statesChanged());
  }
  disconnectedCallback() {
    this.keydownListener && document.removeEventListener('keydown', this.keydownListener);
  }
  statesChanged(s) {
    const states = s || store.state;
    if ((states === null || states === void 0 ? void 0 : states.sidebar) != null) {
      this.tab = states.sidebar;
    }
  }
  viewChanged(view) {
    if (view === 'full-screen') {
      this.keydownListener = (e) => {
        if (e.key === 'Escape') {
          this.close();
        }
      };
      document.addEventListener('keydown', this.keydownListener);
    }
  }
  filterSections(sections) {
    if (!this.meeting.self.suggestedTheme)
      return sections;
    if (versionTwoApis.isV2Theme(this.meeting.self.suggestedTheme))
      return sections;
    const theme = this.meeting.self.suggestedTheme;
    if (!theme.controlBar.elements.chat) {
      sections = sections.filter((item) => item !== 'chat');
    }
    else if (!theme.controlBar.elements.polls) {
      sections = sections.filter((item) => item !== 'polls');
    }
    else if (!theme.controlBar.elements.plugins) {
      sections = sections.filter((item) => item !== 'plugins');
    }
    else if (!theme.controlBar.elements.participants) {
      sections = sections.filter((item) => item !== 'participants');
    }
    return sections;
  }
  viewSection(section) {
    this.tab = section;
    this.stateUpdate.emit({ activeSidebar: true, sidebar: this.tab });
    store.state.activeSidebar = true;
    store.state.sidebar = this.tab;
  }
  render() {
    const defaults = {
      meeting: this.meeting,
      config: this.config,
      states: this.states || store.state,
      size: this.size,
      t: this.t,
      iconPack: this.iconPack,
    };
    return (index.h(index.Host, null, this.view === 'full-screen' && [
      index.h("h3", { class: "title" }, this.t('About Call')),
      index.h("div", { id: "mobile-header" }, this.filterSections(this.enabledSections).map((section) => (index.h("dyte-button", { key: section, variant: "ghost", class: { active: this.tab === section }, onClick: () => this.viewSection(section) }, this.t(section))))),
    ], index.h("dyte-button", { variant: "ghost", kind: "icon", class: "close", onClick: this.close, "aria-label": this.t('Close') }, index.h("dyte-icon", { icon: this.iconPack.dismiss })), this.view !== 'full-screen' && index.h("h3", { class: "title" }, this.t(this.tab)), this.tab === 'chat' && index.h(index$2.Render, { element: "dyte-chat", defaults: defaults }), this.tab === 'polls' && index.h(index$2.Render, { element: "dyte-polls", defaults: defaults }), this.tab === 'participants' && index.h(index$2.Render, { element: "dyte-participants", defaults: defaults }), this.tab === 'plugins' && index.h(index$2.Render, { element: "dyte-plugins", defaults: defaults })));
  }
  static get watchers() { return {
    "states": ["statesChanged"],
    "view": ["viewChanged"]
  }; }
};
DyteSidebar.style = dyteSidebarCss;

exports.dyte_sidebar = DyteSidebar;
