import { Component, Host, h, Prop } from '@stencil/core';
/**
 * A component that houses all the header components.
 *
 * @slot - Default slot
 */
export class DyteHeader {
  constructor() {
    /** Variant */
    this.variant = 'solid';
  }
  render() {
    return (h(Host, null,
      h("slot", null)));
  }
  static get is() { return "dyte-header"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dyte-header.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dyte-header.css"]
  }; }
  static get properties() { return {
    "variant": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'solid' | 'boxed'",
        "resolved": "\"boxed\" | \"solid\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Variant"
      },
      "attribute": "variant",
      "reflect": true,
      "defaultValue": "'solid'"
    },
    "size": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Size",
        "resolved": "\"lg\" | \"md\" | \"sm\" | \"xl\"",
        "references": {
          "Size": {
            "location": "import",
            "path": "../../types/props"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Size"
      },
      "attribute": "size",
      "reflect": true
    }
  }; }
}
