import { EventEmitter } from '../../stencil-public-runtime';
import { IconPack } from '../../lib/icons';
import { Meeting, Peer } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { DytePlugin } from '@dytesdk/web-core';
/**
 * The main grid component which abstracts all the grid handling logic and renders it for you.
 */
export declare class DyteGrid {
  host: HTMLDyteGridElement;
  participants: Peer[];
  pinnedParticipants: Peer[];
  screenShareParticipants: Peer[];
  plugins: DytePlugin[];
  responsiveGap: number;
  dimensions: [width: number, height: number];
  /** The aspect ratio of each participant */
  aspectRatio: string;
  /** Meeting object */
  meeting: Meeting;
  /** Gap between participants */
  gap: number;
  /** Size */
  size: Size;
  /** States */
  states: States;
  /** Config object */
  config: UIConfig;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  sizeChanged(size: Size): void;
  screenShareParticipantsChanged(participants: Peer[]): void;
  pluginsChanged(plugins: DytePlugin[]): void;
  pinnedParticipantsChanged(participants: Peer[]): void;
  meetingChanged(meeting: Meeting): void;
  private onViewModeChanged;
  private addScreenShare;
  private removeScreenShare;
  private onParticipantJoined;
  private onParticipantLeft;
  private onScreenShareUpdate;
  private onSelfScreenShareUpdate;
  private onPluginStateUpdate;
  private onParticipantPinned;
  private onParticipantUnpinned;
  render(): any;
}
