import { IconPack } from '../../lib/icons';
import { Size, States } from '../../types/props';
import { EventEmitter } from '../../stencil-public-runtime';
/**
 * A button which toggles visibility of a more menu.
 *
 * When clicked it emits a `dyteStateUpdate` event with the data:
 *
 * ```ts
 * { activeMoreMenu: boolean; }
 * ```
 */
export declare class DyteMoreToggle {
  /** States object */
  states: States;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  isOpen: boolean;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  private toggleMoreMenu;
  render(): any;
}
